//
// Classe de base pour les connections reseau en IP
// D.Etasse, D.Cussol : 16/06/2006
//

#ifndef FIPTcpClient_h
#define FIPTcpClient_h

#include "FIPConnection.h"

class FIPTcpClient : public FIPConnection
 {
 private:
   void Init(void);
 
 public:
   FIPTcpClient(void); 		     // constructeur par default
   FIPTcpClient(const FIPTcpClient& conn); // constructeur par copie
   virtual void Copy(TObject& c) const; // copie
   FIPTcpClient& operator=(const FIPTcpClient& conn); // operateur =
   ~FIPTcpClient(void); 		     // destructeur
 
   virtual void Open(Int_t port, Char_t *ipaddress=0);
   virtual Int_t  ReadBuf(UChar_t *buf,Int_t bufLen);
   virtual Int_t  WriteBuf(UChar_t *buf,Int_t bufLen);
   
   ClassDef(FIPTcpClient,1)
 
 };
#endif
