//
// Classe de base pour les connections reseau en IP
// D.Etasse, D.Cussol : 16/06/2006
//

#ifndef FIPUdpClient_h
#define FIPUdpClient_h

#include "FIPUdpConnection.h"

class FIPUdpClient : public FIPUdpConnection
 {
 private:
   void Init(void);
 
 public:
   FIPUdpClient(void); 		     // constructeur par default
   FIPUdpClient(const FIPUdpClient& conn); // constructeur par copie
   virtual void Copy(TObject& c) const; // copie
   FIPUdpClient& operator=(const FIPUdpClient& conn); // operateur =
   ~FIPUdpClient(void); 		     // destructeur
 
   virtual void Open(Int_t port, Char_t *ipaddress=0);
   virtual Int_t  WriteBuf(UChar_t *buf,Int_t bufLen);
   virtual Int_t  ReadBuf(UChar_t *buf,Int_t bufLen);
   
   ClassDef(FIPUdpClient,1)
 
 };
#endif
