#ifndef RhbSingleton_h
#define RhbSingleton_h

///////////////////////////////////////////////////////////
//                                                       //
// Singleton definition class for single RHB application //
//                                                       //
///////////////////////////////////////////////////////////

class RhbSingleton {
 private:
   static RhbSingleton *rhbInstance; // Instance of this class

   // This is a singleton => constructor is private !
   RhbSingleton();

 public:
   static RhbSingleton *GetRhbInstance();
   virtual ~RhbSingleton(); // Destructor

   ClassDef(RhbSingleton,1);
};
#endif
