//
// Classe de base pour les connections reseau en IP
// D.Etasse, D.Cussol : 16/06/2006
//

#ifndef FIPUdpConnection_h
#define FIPUdpConnection_h

#include "FIPConnection.h"

class FIPUdpConnection : public FIPConnection
 {
 protected:
   struct sockaddr_in	connectedSock;   //!
   Int_t		connectedSockLen;//!
   
 private:
   void Init(void);
 
 public:
   FIPUdpConnection(void); 		     // constructeur par default
   FIPUdpConnection(const FIPUdpConnection& conn); // constructeur par copie
   virtual void Copy(TObject& c) const; // copie
   FIPUdpConnection& operator=(const FIPUdpConnection& conn); // operateur =
   ~FIPUdpConnection(void); 		     // destructeur
 
   virtual Int_t  ReadBuf(UChar_t *buf,Int_t bufLen);
   virtual Int_t  WriteBuf(UChar_t *buf,Int_t bufLen);
 
  ClassDef(FIPUdpConnection,1);
  
 };
#endif
